Summary: Automatically update your machine daily via yum
Name: yum-autoupdate
Version: 2
Release: 6.2.2.slf
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.slf.tar.gz
URL: http://fermilinux.fnal.gov/
BuildRoot: %{_tmppath}/%{name}-%{version}root
Requires: yum mailx /etc/cron.daily yum-plugin-security
BuildArchitectures: noarch
Epoch: 31

%description
Automatically update your machine daily via yum.  If anything is updated,
it is logged in the yum.log and you are sent an email. 
The configuration file is in /etc/sysconfig/yum-autoupdate and most
behavior can be customized.


%prep

%setup -q -n yum-autoupdate-2.slf

bash -n $RPM_BUILD_DIR/%{name}-%{version}.slf/etc/cron.daily/yum-autoupdate
if [[ $? -ne 0 ]]; then
    echo "SYNTAX ERROR IN /etc/cron.daily/yum-autoupdate"
    exit 255
fi

%install
mkdir -p $RPM_BUILD_ROOT/etc
cp -r etc/* $RPM_BUILD_ROOT/etc

# don't actually install fermi-addons the real place
rm -fr $RPM_BUILD_ROOT/etc/yum.repos.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%config %{_sysconfdir}/cron.daily/yum-autoupdate
%config(noreplace) %{_sysconfdir}/sysconfig/yum-autoupdate
%doc etc/yum.repos.d/fermi-addons.repo

%changelog
* Mon Apr 16 2012 Pat Riehecky <riehecky@fnal.gov> 2-6.2.2.slf
- moved fermi-addons.repo to slf-release
- moved sample fermi-addons.repo to %doc
- Hide ADDONRUN value and do default set on it

* Thu Feb 2 2012 Pat Riehecky <riehecky@fnal.gov> 2-6.2.slf
- Make extra sure ADDONS is run

* Wed Feb 1 2012 Pat Riehecky <riehecky@fnal.gov> 2-6.2.slf
- Added the SLF Addons for automatic install via ADDONRUN

* Thu Oct 27 2011 Pat Riehecky <riehecky@fnal.gov> 2-4.2
- Added patch from Kevan Benson for the 'PRERUN' and 'POSTRUN' options
- Added additional run option of ADDONRUN so that PRE and POST can be
  mirrors while ADDONRUN can be used for an un-paired script
- Added yum-security-plugin as a requirement for the package, I don't
  know how else to ensure it is installed if the optional behavior is
  enabled by the end user
- Added syntax test to the creation process so that we are confident it
  always has valid syntax
- Added optional use of yum-security-plugin, if we get that working

* Wed Sep 21 2011 Pat Riehecky <riehecky@fnal.gov> 2-4.1
- added mailx dependency as it was missing
- added /etc/cron.daily dependency as it should ensure cron is installed
   I doubt it would be missing, but since it is required may as well require it

* Mon Aug 15 2011 Troy Dawson <dawson@fnal.gov> 2-3
- Added variables "SENDEMAIL" and "SENDONLYERRORS"

* Wed Apr 20 2011 Troy Dawson <dawson@fnal.gov> 2-2
- Fix a security issue with the tmp configuration files.
  Patch provided by Juergen Salk

* Wed Feb 16 2011 Troy Dawson <dawson@fnal.gov> 2-1
- Put the GPL and copyright stuff in the script.

* Mon Jan 24 2011 Troy Dawson <dawson@fnal.gov> 2-0.1.rolling.SL6
- Changed yum-autoupdate to use a configuration file in /etc/sysconfig
instead of separate files scattered around.  Admins can change the
variables ENABLED, MAILTO, EXCLUDE, MAXWAITTIME, CONFIGFILE, DEBUG
